# Created by pyp2rpm-3.3.8
%global pypi_name tap-py

Name:           python-%{pypi_name}
Version:        3.1
Release:        %mkrel 2
Summary:        Test Anything Protocol (TAP) tools
Group:          Development/Python
License:        BSD
URL:            https://github.com/python-tap/tappy
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/tap.py-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(more-itertools)
BuildRequires:  python3dist(pyyaml) >= 5.1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
tappy is a set of tools for working with the Test Anything Protocol (TAP),
a line based test protocol for recording test data in a standard way.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
tappy is a set of tools for working with the Test Anything Protocol (TAP),
a line based test protocol for recording test data in a standard way.

%prep
%autosetup -n tap.py-%{version}

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files tap

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%doc html
%{_bindir}/tap
%{_bindir}/tappy


%changelog
* Thu Dec 07 2023 wally <wally> 3.1-2.mga10
+ Revision: 2015130
- rebuild for py3.12

* Sat Oct 08 2022 wally <wally> 3.1-1.mga9
+ Revision: 1895459
- imported package python-tap-py

